Philo - Bug #80

Tests have fallen out of date
02/02/2011 05:48 PM - Stephen Burrows

Status: Resolved Start date: 02/02/2011
Priority: High Due date:

Assignee: Stephen Burrows % Done: 0%
Category: Core Estimated time: 0.00 hour
Target version:

Description

After the node refactor, the tests are no longer exactly correct. This is basically just a matter of changing the expected results. It
might also be worth adding some tests for the construct_url method.

Associated revisions

Revision ae74849c - 05/31/2011 05:16 PM - Stephen Burrows

Corrected philo tests and removed all use of penfield models in those tests - resolves issue #80. Minor correction to TreeModel.get_path to save a
query.

Revision ac8a3258 - 06/02/2011 09:22 PM - Joseph Spiros

Merge branch 'master' of git://github.com/melinath/philo

e 'master' of git://github.com/melinath/philo:
Implemented the solution proposed to #130 - removed TreeModel and made a SlugTreeEntity subclass of TreeEntity to handle Node and
Template. Correctly subclassed SlugTreeEntity.Meta so that Node and Template actually have the unique constraints they are meant to. Minor
correction to TreeEntity.get_path.
Minor corrections to TagCreation.js. Resolves issue #125.
Switched contentlets to use lists rather than sets to preserve ordering. Resolves issue #132. Added some basic tests for containers. Moved
build_extension_tree out of Template.containers.
Minor correction to FeedView docstrings. Resolves issue #139.
Refactored RequestNodeMiddleware to use SimpleLazyObject - comparable to django r16297/r16305. Resolves issue #144.
Corrected philo tests and removed all use of penfield models in those tests - resolves issue #80. Minor correction to TreeModel.get_path to save
aquery.
Added a 'getting started' tutorial and a short intro to philo page to the docs. Improved Attribute docstring.

History

#1 - 05/11/2011 11:10 PM - Stephen Burrows
- Priority changed from Normal to High

#2 - 05/31/2011 05:15 PM - Stephen Burrows

- Status changed from New to Resolved

Resolved with commit ae74849c20883a86363950f4272e24205a6daaf5 on the release branch. More tests should be added, but that's another issue.
